Bug 2142 - build failure on unixware
build failure on unixware
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.9
x86 other
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 06:46 UTC by Jurriaan Kalkman
Modified: 2005-10-13 09:05 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jurriaan Kalkman 2004-12-10 06:46:55 UTC
UnixWare glims 5 7.1.1 i386 x86at SCO UNIX_SVR5

When ./configure runs with CC=gcc in the environment, the package configures 
and builds without errors, but each program crashes with 'out of memory' errors.
Even 'testparms /dev/null' crashes in this way.

When ./configure runs with CC=cc, the configure process ends up writing 
#define HAVE_COMPILER_WILL_OPTIMIZE_OUT_FNS 1
in source/include/config.h.
The package doesn't compile then. When I manually update config.h after 
configuring (to exclude that line), the package compiles and runs fine.

I know unixware is old, decrepit and needs to be avoided, but I'm stuck with it 
here at work for at least another few months.
Comment 1 Gerald (Jerry) Carter 2005-02-12 18:39:18 UTC
please test 3.0.11.  Marking as fixed waiting further feedback.
Comment 2 Jurriaan Kalkman 2005-02-15 00:42:08 UTC
No change in 3.0.11 - the bug shows up in exactly the same way.
Comment 3 Gerald (Jerry) Carter 2005-10-13 09:05:56 UTC
closing.  doubtful if anyone will fix this and I'm 
hoping the reporter is off Unixware by now.  Sorry.